Package com.usatiuk.dhfs.jkleppmanntree

# Class JKleppmannTreeInitialSyncProcessor

java.lang.Object
com.usatiuk.dhfs.jkleppmanntree.JKleppmannTreeInitialSyncProcessor

All Implemented Interfaces:
  `InitialSyncProcessor<JKleppmannTreePersistentData>`

@ApplicationScoped public class JKleppmannTreeInitialSyncProcessor extends Object implements InitialSyncProcessor<JKleppmannTreePersistentData>

## Constructor Summary

Constructors
Constructor
Description
`JKleppmannTreeInitialSyncProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleCrash(JObjectKey key)`
`void`
`prepareForInitialSync(PeerId from, JObjectKey key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JKleppmannTreeInitialSyncProcessor

public JKleppmannTreeInitialSyncProcessor()

## Method Details

### prepareForInitialSync

public void prepareForInitialSync(PeerId from, JObjectKey key)

Specified by:
  `prepareForInitialSync` in interface `InitialSyncProcessor<JKleppmannTreePersistentData>`

### handleCrash

public void handleCrash(JObjectKey key)

Specified by:
  `handleCrash` in interface `InitialSyncProcessor<JKleppmannTreePersistentData>`